- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Typedefs
Object Method Interceptors
Generic Object Functions

Evas provides a way to intercept method calls. More...

## Typedefs
typedef void(* | Evas_Object_Intercept_Show_Cb )(void *data, Evas_Object *obj)
typedef void(* | Evas_Object_Intercept_Hide_Cb )(void *data, Evas_Object *obj)
typedef void(* | Evas_Object_Intercept_Move_Cb )(void *data, Evas_Object *obj, Evas_Coord x, Evas_Coord y)
typedef void(* | Evas_Object_Intercept_Resize_Cb )(void *data, Evas_Object *obj, Evas_Coord w, Evas_Coord h)
typedef void(* | Evas_Object_Intercept_Raise_Cb )(void *data, Evas_Object *obj)
typedef void(* | Evas_Object_Intercept_Lower_Cb )(void *data, Evas_Object *obj)
typedef void(* | Evas_Object_Intercept_Stack_Above_Cb )(void *data, Evas_Object *obj, Evas_Object *above)
typedef void(* | Evas_Object_Intercept_Stack_Below_Cb )(void *data, Evas_Object *obj, Evas_Object *above)
typedef void(* | Evas_Object_Intercept_Layer_Set_Cb )(void *data, Evas_Object *obj, int l)
typedef void(* | Evas_Object_Intercept_Focus_Set_Cb )(void *data, Evas_Object *obj, Eina_Bool focus)
typedef void(* | Evas_Object_Intercept_Color_Set_Cb )(void *data, Evas_Object *obj, int r, int g, int b, int a)
typedef void(* | Evas_Object_Intercept_Clip_Set_Cb )(void *data, Evas_Object *obj, Evas_Object *clip)
typedef void(* | Evas_Object_Intercept_Clip_Unset_Cb )(void *data, Evas_Object *obj)
void | evas_object_intercept_show_callback_add (Evas_Object *obj, Evas_Object_Intercept_Show_Cb func, const void *data)
| Set the callback function that intercepts a show event of a object. More...
void * | evas_object_intercept_show_callback_del (Evas_Object *obj, Evas_Object_Intercept_Show_Cb func)
| Unset the callback function that intercepts a show event of a object. More...
void | evas_object_intercept_hide_callback_add (Evas_Object *obj, Evas_Object_Intercept_Hide_Cb func, const void *data)
| Set the callback function that intercepts a hide event of a object. More...
void * | evas_object_intercept_hide_callback_del (Evas_Object *obj, Evas_Object_Intercept_Hide_Cb func)
| Unset the callback function that intercepts a hide event of a object. More...
void | evas_object_intercept_move_callback_add (Evas_Object *obj, Evas_Object_Intercept_Move_Cb func, const void *data)
| Set the callback function that intercepts a move event of a object. More...
void * | evas_object_intercept_move_callback_del (Evas_Object *obj, Evas_Object_Intercept_Move_Cb func)
| Unset the callback function that intercepts a move event of a object. More...
void | evas_object_intercept_resize_callback_add (Evas_Object *obj, Evas_Object_Intercept_Resize_Cb func, const void *data)
void * | evas_object_intercept_resize_callback_del (Evas_Object *obj, Evas_Object_Intercept_Resize_Cb func)
void | evas_object_intercept_raise_callback_add (Evas_Object *obj, Evas_Object_Intercept_Raise_Cb func, const void *data)
void * | evas_object_intercept_raise_callback_del (Evas_Object *obj, Evas_Object_Intercept_Raise_Cb func)
void | evas_object_intercept_lower_callback_add (Evas_Object *obj, Evas_Object_Intercept_Lower_Cb func, const void *data)
void * | evas_object_intercept_lower_callback_del (Evas_Object *obj, Evas_Object_Intercept_Lower_Cb func)
void | evas_object_intercept_stack_above_callback_add (Evas_Object *obj, Evas_Object_Intercept_Stack_Above_Cb func, const void *data)
void * | evas_object_intercept_stack_above_callback_del (Evas_Object *obj, Evas_Object_Intercept_Stack_Above_Cb func)
void | evas_object_intercept_stack_below_callback_add (Evas_Object *obj, Evas_Object_Intercept_Stack_Below_Cb func, const void *data)
void * | evas_object_intercept_stack_below_callback_del (Evas_Object *obj, Evas_Object_Intercept_Stack_Below_Cb func)
void | evas_object_intercept_layer_set_callback_add (Evas_Object *obj, Evas_Object_Intercept_Layer_Set_Cb func, const void *data)
void * | evas_object_intercept_layer_set_callback_del (Evas_Object *obj, Evas_Object_Intercept_Layer_Set_Cb func)
void | evas_object_intercept_color_set_callback_add (Evas_Object *obj, Evas_Object_Intercept_Color_Set_Cb func, const void *data)
void * | evas_object_intercept_color_set_callback_del (Evas_Object *obj, Evas_Object_Intercept_Color_Set_Cb func)
void | evas_object_intercept_clip_set_callback_add (Evas_Object *obj, Evas_Object_Intercept_Clip_Set_Cb func, const void *data)
void * | evas_object_intercept_clip_set_callback_del (Evas_Object *obj, Evas_Object_Intercept_Clip_Set_Cb func)
void | evas_object_intercept_clip_unset_callback_add (Evas_Object *obj, Evas_Object_Intercept_Clip_Unset_Cb func, const void *data)
void * | evas_object_intercept_clip_unset_callback_del (Evas_Object *obj, Evas_Object_Intercept_Clip_Unset_Cb func)
void | evas_object_intercept_focus_set_callback_add (Evas_Object *obj, Evas_Object_Intercept_Focus_Set_Cb func, const void *data)
void * | evas_object_intercept_focus_set_callback_del (Evas_Object *obj, Evas_Object_Intercept_Focus_Set_Cb func)

## Detailed Description

Evas provides a way to intercept method calls.

The interceptor callback may opt to completely deny the call, or may check and change the parameters before continuing. The continuation of an intercepted call is done by calling the intercepted call again, from inside the interceptor callback.

## Function Documentation

void evas_object_intercept_show_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Show_Cb | func,
|  | const void * | data
| ) |  |

Set the callback function that intercepts a show event of a object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a show event of a canvas object.

See Also
  evas_object_intercept_show_callback_del().

void* evas_object_intercept_show_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Show_Cb | func
| ) |  |

Unset the callback function that intercepts a show event of a object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a show event of a canvas object.

See Also
  evas_object_intercept_show_callback_add().

void evas_object_intercept_hide_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Hide_Cb | func,
|  | const void * | data
| ) |  |

Set the callback function that intercepts a hide event of a object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a hide event of a canvas object.

See Also
  evas_object_intercept_hide_callback_del().

void* evas_object_intercept_hide_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Hide_Cb | func
| ) |  |

Unset the callback function that intercepts a hide event of a object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a hide event of a canvas object.

See Also
  evas_object_intercept_hide_callback_add().

void evas_object_intercept_move_callback_add | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Move_Cb | func,
|  | const void * | data
| ) |  |

Set the callback function that intercepts a move event of a object.

Parameters

  obj | The given canvas object pointer.
  func | The given function to be the callback function.
  data | The data passed to the callback function.

This function sets a callback function to intercepts a move event of a canvas object.

See Also
  evas_object_intercept_move_callback_del().

void* evas_object_intercept_move_callback_del | ( | Evas_Object * | obj,
|  | Evas_Object_Intercept_Move_Cb | func
| ) |  |

Unset the callback function that intercepts a move event of a object.

Parameters

  obj | The given canvas object pointer.
  func | The given callback function.

This function sets a callback function to intercepts a move event of a canvas object.

See Also
  evas_object_intercept_move_callback_add().